<?php
/**
 * 紫斑马软件
 * @author afan
 * @link http://www.zibanma.com
 */
if(ZIBANMA_SYS_LINK != 'zibanma_com'){
	die('access deny');
}
class ZibanmaAuto{
	
	public static function is_exist($file){
		if(file_exists($file)){
			return true;
		}
		return false;
	}
	
	public static function load_include($file){
		if(self::is_exist($file)){
			include $file;
		}
	}
	
	public static function load_include_once($file){
		if(self::is_exist($file)){
			include_once $file;
		}
	}
	
	public static function load_require($file){
		if(self::is_exist($file)){
			require $file;
		}
	}
	
	public static function load_require_once($file){
		if(self::is_exist($file)){
			require_once ZIBANMA_SYS_APP_ROOT.'/'.$file;
		}
	}
	
	public static function load($file){
		self::load_require_once($file);
	}
	
	public static function view($filename){
		include ZIBANMA_SYS_APP_ROOT.'/template/'.str_replace('.', '/', $filename).'.php';
	}
}
?>